DefaultGrailsClass (Grails 6.0.0)

Package: grails.core

## [Java] Class DefaultGrailsClass

- grails.core.DefaultGrailsClass

-     public class DefaultGrailsClass
      extends AbstractGrailsClass

  A default implementation for Grails classes that need to be registered and managed by a GrailsApplication, but don't need any special handling.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `classPropertyFetcher, clazz, fullName, grailsApplication, isAbstract, logicalPropertyName, name, naturalName, packageName, propertyName, shortName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsClass (java.lang.Class<?> clazz, java.lang.String trailingName)` Contructor to be used by all child classes to create a new instance and get the name right.
    `DefaultGrailsClass (java.lang.Class<?> clazz)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, resolvePropertyFetcher, setGrailsApplication, toString`

- - ### Constructor Detail

    - #### public DefaultGrailsClass(java.lang.Class<?> clazz, java.lang.String trailingName)

      Contructor to be used by all child classes to create a new instance and get the name right.

      Parameters:
        `clazz` - the Grails class
        `trailingName` - the trailing part of the name for this class type

    - #### public DefaultGrailsClass(java.lang.Class<?> clazz)